Bug 821931 - gnome-terminal can't display UTF-8 characters in F17, was able to in F16
gnome-terminal can't display UTF-8 characters in F17, was able to in F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 15:13 EDT by Jonathan Kamens
Modified: 2013-07-31 23:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:56:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2012-05-15 15:13:03 EDT
Note: I don't actually know who is at fault -- GDM, gnome-terminal, /bin/ls, or whatever. A lot of things need to interact properly to be able to display international characters properly. I've done my best to provide as much information as possible, but I'm sure I haven't actually gotten to the root cause(s). Please analyze and dispatch as appropriate. Thank you.

I have a file with UTF-8 characters in its name in a directory.

It displayed fine in gnome-terminal in F16 when I "ls" or "echo *" the directory.

It displays as garbage in F17:

×?× ×? × ×?×?×?×?ס, ס×?×?ר ש×?ר, × ×?ר×?ת ×?×?רש

My /etc/sysconfig/i18n contains:

LANG="en_US.UTF-8"
SYSFONT="latarcyrheb-sun16"

My language environment variables contain:

GDM_LANG=en_US.utf8
LANG=en_US
LC_COLLATE=C
LC_MEASUREMENT=en_AG.utf8
LC_MONETARY=en_AG.utf8
LC_NUMERIC=en_AG.utf8
LC_TIME=en_AG.utf8

The Terminal | Set Character Encoding menu is set to "Current Locale (ISO-8859-1)". I don't know why it thinks that's the current locale; all of the environment variables above would seem to suggest that it should be set to "Unicode (UTF-8)", the other option in the menu.

When I change it to "Unicode (UTF-8)", then "echo *" in the directory now works (they should be RTL and are instead LTR, but that's not a regression from F16 so we can ignore that for the time being), but ls still shows (different) garbage.

I don't know where the hell the "en_AG" setting in my /etc/sysconfig/i18n came from. I certainly never knowingly set it to that.

More strangeness...

If I click on my name and open "System Settings", then click on "Region and Language", it indeed says "English (United States) [ISO-8859-1]". How annoying. Here's where it gets weird... If I select "English" instead and then close the window, and then open it again, it reverts to "English (United States) [ISO-8859-1]". I.e., I don't appear to be able to use the control panel to set my locale properly.

It's as pretty big mess.
Comment 1 Jonathan Kamens 2012-05-15 15:41:46 EDT
See also bug 821937
Comment 2 Fedora End Of Life 2013-07-03 20:20:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:56:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.